curl -X GET "https://stocks-dev.up.railway.app/api/v1/screener?sector=Technology&market_cap_min=10000000000&price_min=50&limit=20" \
-H "X-API-Key: your_api_key"
const response = await fetch('/api/v1/screener?sector=Technology&market_cap_min=10000000000&price_min=50&limit=20', {
headers: {
'X-API-Key': 'your_api_key'
}
});
const data = await response.json();
import requests
response = requests.get(
'https://stocks-dev.up.railway.app/api/v1/screener',
params={
'sector': 'Technology',
'market_cap_min': 10000000000,
'price_min': 50,
'limit': 20
},
headers={'X-API-Key': 'your_api_key'}
)
data = response.json()
{
"results": [
{
"symbol": "AAPL",
"name": "Apple Inc.",
"price": 201.08,
"marketCap": 3100000000000,
"volume": 45678901,
"sector": "Technology",
"country": "US",
"beta": 1.25,
"pe": 28.5,
"eps": 7.05
},
{
"symbol": "MSFT",
"name": "Microsoft Corporation",
"price": 415.23,
"marketCap": 3080000000000,
"volume": 23456789,
"sector": "Technology",
"country": "US",
"beta": 0.89,
"pe": 32.1,
"eps": 12.93
},
{
"symbol": "NVDA",
"name": "NVIDIA Corporation",
"price": 157.75,
"marketCap": 1200000000000,
"volume": 67890123,
"sector": "Technology",
"country": "US",
"beta": 1.65,
"pe": 45.2,
"eps": 3.49
}
],
"filters_applied": {
"sector": "Technology",
"market_cap_min": 10000000000,
"price_min": 50,
"limit": 20
},
"total_results": 145
}
FMP Professional
Stock Screener
Advanced stock screening with multiple filter criteria
GET
/
api
/
v1
/
screener
curl -X GET "https://stocks-dev.up.railway.app/api/v1/screener?sector=Technology&market_cap_min=10000000000&price_min=50&limit=20" \
-H "X-API-Key: your_api_key"
const response = await fetch('/api/v1/screener?sector=Technology&market_cap_min=10000000000&price_min=50&limit=20', {
headers: {
'X-API-Key': 'your_api_key'
}
});
const data = await response.json();
import requests
response = requests.get(
'https://stocks-dev.up.railway.app/api/v1/screener',
params={
'sector': 'Technology',
'market_cap_min': 10000000000,
'price_min': 50,
'limit': 20
},
headers={'X-API-Key': 'your_api_key'}
)
data = response.json()
{
"results": [
{
"symbol": "AAPL",
"name": "Apple Inc.",
"price": 201.08,
"marketCap": 3100000000000,
"volume": 45678901,
"sector": "Technology",
"country": "US",
"beta": 1.25,
"pe": 28.5,
"eps": 7.05
},
{
"symbol": "MSFT",
"name": "Microsoft Corporation",
"price": 415.23,
"marketCap": 3080000000000,
"volume": 23456789,
"sector": "Technology",
"country": "US",
"beta": 0.89,
"pe": 32.1,
"eps": 12.93
},
{
"symbol": "NVDA",
"name": "NVIDIA Corporation",
"price": 157.75,
"marketCap": 1200000000000,
"volume": 67890123,
"sector": "Technology",
"country": "US",
"beta": 1.65,
"pe": 45.2,
"eps": 3.49
}
],
"filters_applied": {
"sector": "Technology",
"market_cap_min": 10000000000,
"price_min": 50,
"limit": 20
},
"total_results": 145
}
Screen stocks based on multiple financial and market criteria to find investment opportunities that match your specific requirements.
Parameters
integer
Minimum market capitalization
integer
Maximum market capitalization
number
Minimum stock price
number
Maximum stock price
integer
Minimum daily trading volume
string
Filter by sector (e.g., “Technology”, “Healthcare”)
string
Filter by country (e.g., “US”, “CA”, “GB”)
number
Minimum beta value
number
Maximum beta value
integer
default:"50"
Number of results to return (max 100)
Response
array
Array of stocks matching the criteria
object
Summary of filters applied to the search
number
Total number of stocks matching criteria
curl -X GET "https://stocks-dev.up.railway.app/api/v1/screener?sector=Technology&market_cap_min=10000000000&price_min=50&limit=20" \
-H "X-API-Key: your_api_key"
const response = await fetch('/api/v1/screener?sector=Technology&market_cap_min=10000000000&price_min=50&limit=20', {
headers: {
'X-API-Key': 'your_api_key'
}
});
const data = await response.json();
import requests
response = requests.get(
'https://stocks-dev.up.railway.app/api/v1/screener',
params={
'sector': 'Technology',
'market_cap_min': 10000000000,
'price_min': 50,
'limit': 20
},
headers={'X-API-Key': 'your_api_key'}
)
data = response.json()
{
"results": [
{
"symbol": "AAPL",
"name": "Apple Inc.",
"price": 201.08,
"marketCap": 3100000000000,
"volume": 45678901,
"sector": "Technology",
"country": "US",
"beta": 1.25,
"pe": 28.5,
"eps": 7.05
},
{
"symbol": "MSFT",
"name": "Microsoft Corporation",
"price": 415.23,
"marketCap": 3080000000000,
"volume": 23456789,
"sector": "Technology",
"country": "US",
"beta": 0.89,
"pe": 32.1,
"eps": 12.93
},
{
"symbol": "NVDA",
"name": "NVIDIA Corporation",
"price": 157.75,
"marketCap": 1200000000000,
"volume": 67890123,
"sector": "Technology",
"country": "US",
"beta": 1.65,
"pe": 45.2,
"eps": 3.49
}
],
"filters_applied": {
"sector": "Technology",
"market_cap_min": 10000000000,
"price_min": 50,
"limit": 20
},
"total_results": 145
}
Common Screening Strategies
Value Investing
price_min=5&pe_max=15&market_cap_min=1000000000
Growth Stocks
sector=Technology&market_cap_min=5000000000&beta_min=1.2
Dividend Stocks
market_cap_min=10000000000&volume_min=1000000&beta_max=1.0
Small Cap Growth
market_cap_min=300000000&market_cap_max=2000000000&beta_min=1.0
Available Sectors
- Technology
- Healthcare
- Financial Services
- Consumer Cyclical
- Consumer Defensive
- Energy
- Utilities
- Industrial
- Materials
- Real Estate
- Communication Services
Use Cases
- Investment Research: Find stocks matching investment criteria
- Portfolio Construction: Build diversified portfolios
- Sector Analysis: Compare companies within sectors
- Risk Management: Filter by beta and volatility metrics
Data Source
This endpoint uses Financial Modeling Prep (FMP) comprehensive database with real-time market data.Notes
- Results are updated throughout the trading day
- Market cap values are in USD
- Beta is calculated against the S&P 500 index
- PE ratios use trailing twelve months earnings
- Maximum 100 results per query for performance